Graph API 版本

Instagram Business Asset Agencies

閱讀中

Returns the Businesses and Agencies that have permissions on the Instagram Business Asset

Requirements

  • The business_management permission for the business that owns the Instagram Business Asset

例子

Graph API Explorer
GET /v25.0/{instagram-business-asset-id}/agencies HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{instagram-business-asset-id}/agencies',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{instagram-business-asset-id}/agencies",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{instagram-business-asset-id}/agencies",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{instagram-business-asset-id}/agencies"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
如果想了解如何使用 Graph API,請參閱我們的使用 Graph API 指南

參數

這個端點沒有任何參數。

欄位

由此關係連線進行的閱讀將回傳 JSON 格式結果:

{ "data": [], "paging": {} }

data

Business 節點的清單。

paging

如需更多有關分頁的詳細資料,請參閱 Graph API 指南

建立中

Giving an agency access to an Instagram business asset lets them work on tasks you assign to them, including using APIs to manage tasks. The Instagram business asset will remain in your portfolio.

You can make a POST request to agencies edge from the following paths:
When posting to this edge, no Graph object will be created.

參數

參數描述
business
numeric string

The business ID of the agency that you want to assign to this Instagram Business Asset

必填
permitted_tasks
array<enum {CONTENT, MESSAGES, COMMUNITY_ACTIVITY, ADVERTISE, ANALYZE}>

Tasks that you want to assign to the agency

必填

傳回類型

This endpoint supports 寫入後讀取 and will read the node to which you POSTed.
Struct {
success: bool,
}

Error Codes

錯誤說明
100Invalid parameter

更新中

你無法在此端點執行此操作。

正在刪除

You can dissociate a Business from an InstagramBusinessAsset by making a DELETE request to /{instagram_business_asset_id}/agencies.

參數

參數描述
business
numeric string

The business ID of the agency that you want to revoke access for the Instagram Business Asset

必填

傳回類型

Struct {
success: bool,
}